Debian Bug report logs - #577009
php5-cgi + xcache == memory leak

version graph

Package: php5-xcache; Maintainer for php5-xcache is Debian PHP PECL Maintainers <pkg-php-pecl@lists.alioth.debian.org>; Source for php5-xcache is src:xcache.

Reported by: Olaf van der Spek <olaf@xwis.net>

Date: Thu, 8 Apr 2010 21:06:11 UTC

Severity: important

Tags: help, moreinfo, upstream

Found in version xcache/1.3.0-6

Fixed in version xcache/1.3.0-7

Done: Michal Čihař <nijel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://xcache.lighttpd.net/ticket/248

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 21:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 21:06:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 08 Apr 2010 23:05:27 +0200
Package: php5-cgi
Version: 5.3.1-5
Severity: serious
Justification: Memory leaks might affect the entire system

Hi,

I'm not sure why php is using so much memory. The system has 8 gb real and 4 gb swap and the OOM killer has been invoked several times already.

/etc/php5/cgi/php.ini:
memory_limit = 128M

top:
14092 www-data  20   0  589m 466m  17m S    3  5.8   9:36.17 php-cgi                                                                                                                                                                         
14094 www-data  20   0  571m 449m  17m S    3  5.6   9:58.46 php-cgi                                                                                                                                                                         
14091 www-data  20   0  569m 446m  17m S   11  5.6  10:37.29 php-cgi                                                                                                                                                                         
15371 www-data  20   0  210m  86m  16m S    5  1.1   2:15.79 php-cgi   

$ dpkg -l|grep php5
ii  php5-cgi                            5.3.1-5                  server-side, HTML-embedded scripting language (CGI binary)
ii  php5-cli                            5.3.1-5                  command-line interpreter for the php5 scripting language
ii  php5-common                         5.3.1-5                  Common files for packages built from the php5 source
ii  php5-gd                             5.3.1-5                  GD module for php5
ii  php5-mcrypt                         5.3.1-5                  MCrypt module for php5
ii  php5-mysql                          5.3.1-5                  MySQL module for php5
ii  php5-suhosin                        0.9.29-1+b1              advanced protection module for php5
ii  php5-xcache                         1.3.0-6                  Fast, stable PHP opcode cacher

Greetings,

Olaf

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages php5-cgi depends on:
ii  libbz2-1.0             1.0.5-4           high-quality block-sorting file co
ii  libc6                  2.10.2-6          Embedded GNU C Library: Shared lib
ii  libcomerr2             1.41.11-1         common error description library
ii  libdb4.8               4.8.26-1          Berkeley v4.8 Database Libraries [
ii  libgssapi-krb5-2       1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries - k
ii  libk5crypto3           1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries - C
ii  libkrb5-3              1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries
ii  libmagic1              5.04-1            File type determination library us
ii  libpcre3               7.8-3             Perl 5 Compatible Regular Expressi
ii  libssl0.9.8            0.9.8n-1          SSL shared libraries
ii  libxml2                2.7.7.dfsg-1      GNOME XML library
ii  mime-support           3.48-1            MIME files 'mime.types' & 'mailcap
ii  php5-common            5.3.1-5           Common files for packages built fr
ii  tzdata                 2010f-2           time zone and daylight-saving time
ii  ucf                    3.0025            Update Configuration File: preserv
ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime

php5-cgi recommends no packages.

Versions of packages php5-cgi suggests:
pn  php-pear                      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 21:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 21:36:08 GMT) Full text and rfc822 format available.

Message #10 received at 577009@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 8 Apr 2010 23:32:15 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 08, 2010 at 11:05:27PM +0200, Olaf van der Spek wrote:
> /etc/php5/cgi/php.ini:
> memory_limit = 128M
> 
> top:
> 14092 www-data  20   0  589m 466m  17m S    3  5.8   9:36.17 php-cgi

 * are you using the cgi's directly or do you have some kind of fcgi wrapper?
 * is it a slow or sudden increase?
 * is there a sample code/script/page that can trigger this?
 * can you try installing php5-dbg and run the php-cgi wrapped by valgrind?

we really need more info than the output of top if you expect us to treat
it as a serious bug :)


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 21:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 21:42:08 GMT) Full text and rfc822 format available.

Message #15 received at 577009@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 8 Apr 2010 23:36:55 +0200
Could you please try pulling 5.3.2-1 from unstable? Unfortunatelly
it's stuck in firebird transition.

Ondrej

On Thu, Apr 8, 2010 at 23:05, Olaf van der Spek <olaf@xwis.net> wrote:
> Package: php5-cgi
> Version: 5.3.1-5
> Severity: serious
> Justification: Memory leaks might affect the entire system
>
> Hi,
>
> I'm not sure why php is using so much memory. The system has 8 gb real and 4 gb swap and the OOM killer has been invoked several times already.
>
> /etc/php5/cgi/php.ini:
> memory_limit = 128M
>
> top:
> 14092 www-data  20   0  589m 466m  17m S    3  5.8   9:36.17 php-cgi
> 14094 www-data  20   0  571m 449m  17m S    3  5.6   9:58.46 php-cgi
> 14091 www-data  20   0  569m 446m  17m S   11  5.6  10:37.29 php-cgi
> 15371 www-data  20   0  210m  86m  16m S    5  1.1   2:15.79 php-cgi
>
> $ dpkg -l|grep php5
> ii  php5-cgi                            5.3.1-5                  server-side, HTML-embedded scripting language (CGI binary)
> ii  php5-cli                            5.3.1-5                  command-line interpreter for the php5 scripting language
> ii  php5-common                         5.3.1-5                  Common files for packages built from the php5 source
> ii  php5-gd                             5.3.1-5                  GD module for php5
> ii  php5-mcrypt                         5.3.1-5                  MCrypt module for php5
> ii  php5-mysql                          5.3.1-5                  MySQL module for php5
> ii  php5-suhosin                        0.9.29-1+b1              advanced protection module for php5
> ii  php5-xcache                         1.3.0-6                  Fast, stable PHP opcode cacher
>
> Greetings,
>
> Olaf
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (500, 'testing'), (1, 'unstable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-3-amd64 (SMP w/8 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages php5-cgi depends on:
> ii  libbz2-1.0             1.0.5-4           high-quality block-sorting file co
> ii  libc6                  2.10.2-6          Embedded GNU C Library: Shared lib
> ii  libcomerr2             1.41.11-1         common error description library
> ii  libdb4.8               4.8.26-1          Berkeley v4.8 Database Libraries [
> ii  libgssapi-krb5-2       1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries - k
> ii  libk5crypto3           1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries - C
> ii  libkrb5-3              1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries
> ii  libmagic1              5.04-1            File type determination library us
> ii  libpcre3               7.8-3             Perl 5 Compatible Regular Expressi
> ii  libssl0.9.8            0.9.8n-1          SSL shared libraries
> ii  libxml2                2.7.7.dfsg-1      GNOME XML library
> ii  mime-support           3.48-1            MIME files 'mime.types' & 'mailcap
> ii  php5-common            5.3.1-5           Common files for packages built fr
> ii  tzdata                 2010f-2           time zone and daylight-saving time
> ii  ucf                    3.0025            Update Configuration File: preserv
> ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime
>
> php5-cgi recommends no packages.
>
> Versions of packages php5-cgi suggests:
> pn  php-pear                      <none>     (no description available)
>
> -- no debconf information
>
>
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint
>



-- 
Ondřej Surý <ondrej@sury.org>
http://blog.rfc1925.org/

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 21:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 21:42:10 GMT) Full text and rfc822 format available.

Message #20 received at 577009@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 8 Apr 2010 17:38:01 -0400
severity 577009 important
tag 577009 moreinfo
thanks

On 8 April 2010 17:05, Olaf van der Spek <olaf@xwis.net> wrote:
> Package: php5-cgi
> Version: 5.3.1-5
> Severity: serious
> Justification: Memory leaks might affect the entire system
>
> Hi,
>
> I'm not sure why php is using so much memory. The system has 8 gb real and 4 gb swap and the OOM killer has been invoked several times already.
>

I'm sure that you yourself can see that your report is vague and
useless without any further information. What about talking a bit
about the setup, the extensions, the scripts, etc?

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Severity set to 'important' from 'serious' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Thu, 08 Apr 2010 21:42:12 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Thu, 08 Apr 2010 21:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 21:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 21:57:12 GMT) Full text and rfc822 format available.

Message #29 received at 577009@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Olaf van der Spek <olaf@xwis.net>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 8 Apr 2010 17:53:05 -0400
On 8 April 2010 17:40, Olaf van der Spek <olaf@xwis.net> wrote:
> Didn't I post extensions already?

Installed extensions, yes. Enabled extensions: no. Actually used extensions: no.

> Setup is Lighttpd.

standard cgi? fastcgi? ...

> Main script is Invision Power Board.

And have you considered upgrading to 5.3.2-1? chances are that
whatever bug is it is already fixed (and maybe easier than trying to
get some information out from you that could give a clue about the
bug...)

P.S. http://www.chiark.greenend.org.uk/~sgtatham/bugs.html

Regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 22:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 22:21:08 GMT) Full text and rfc822 format available.

Message #34 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: sean finney <seanius@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 08 Apr 2010 23:35:42 +0200
On 8-4-2010 23:32, sean finney wrote:
> On Thu, Apr 08, 2010 at 11:05:27PM +0200, Olaf van der Spek wrote:
>> /etc/php5/cgi/php.ini:
>> memory_limit = 128M
>>
>> top:
>> 14092 www-data  20   0  589m 466m  17m S    3  5.8   9:36.17 php-cgi
>
>   * are you using the cgi's directly or do you have some kind of fcgi wrapper?

I'm using Lighttpd.

>   * is it a slow or sudden increase?

Slow

>   * is there a sample code/script/page that can trigger this?

I don't know, there are several sites hosted, one Invision Power Board. 
I've no idea what triggers the leak.

>   * can you try installing php5-dbg and run the php-cgi wrapped by valgrind?

What should I look for?

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 22:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 22:21:10 GMT) Full text and rfc822 format available.

Message #39 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Raphael Geissert <geissert@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 08 Apr 2010 23:56:11 +0200
On 8-4-2010 23:53, Raphael Geissert wrote:
> On 8 April 2010 17:40, Olaf van der Spek<olaf@xwis.net>  wrote:
>> Didn't I post extensions already?
>
> Installed extensions, yes. Enabled extensions: no. Actually used extensions: no.

I didn't touch them, so I guess the installed ones are enabled too.

>> Setup is Lighttpd.
>
> standard cgi? fastcgi? ...

FastCGI of course.

>> Main script is Invision Power Board.
>
> And have you considered upgrading to 5.3.2-1? chances are that

Just did.

> whatever bug is it is already fixed (and maybe easier than trying to
> get some information out from you that could give a clue about the
> bug...)
>
> P.S. http://www.chiark.greenend.org.uk/~sgtatham/bugs.html

I'm not that unfamiliar with bug reports.

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 22:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 22:21:11 GMT) Full text and rfc822 format available.

Message #44 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Ondřej Surý <ondrej@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 08 Apr 2010 23:45:19 +0200
On 8-4-2010 23:36, Ondřej Surý wrote:
> Could you please try pulling 5.3.2-1 from unstable? Unfortunatelly
> it's stuck in firebird transition.

Sure. Let's see what happens.

$ dpkg -l|grep php5
ii  php5-cgi                            5.3.2-1 
server-side, HTML-embedded scripting language (CGI binary)
ii  php5-cli                            5.3.2-1 
command-line interpreter for the php5 scripting language
ii  php5-common                         5.3.2-1                  Common 
files for packages built from the php5 source
ii  php5-gd                             5.3.2-1                  GD 
module for php5
ii  php5-mcrypt                         5.3.2-1                  MCrypt 
module for php5
ii  php5-mysql                          5.3.2-1                  MySQL 
module for php5
ii  php5-suhosin                        0.9.29-1+b1 
advanced protection module for php5
ii  php5-xcache                         1.3.0-6                  Fast, 
stable PHP opcode cacher




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Thu, 08 Apr 2010 22:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 08 Apr 2010 22:21:13 GMT) Full text and rfc822 format available.

Message #49 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Raphael Geissert <geissert@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Thu, 08 Apr 2010 23:40:35 +0200
On 8-4-2010 23:38, Raphael Geissert wrote:
>> I'm not sure why php is using so much memory. The system has 8 gb real and 4 gb swap and the OOM killer has been invoked several times already.
>>
>
> I'm sure that you yourself can see that your report is vague and
> useless without any further information.

Not really. I do agree that it's impossible/hard to fix this without 
further info, but that doesn't make it useless.

> What about talking a bit
> about the setup, the extensions, the scripts, etc?

Didn't I post extensions already? Setup is Lighttpd.
Main script is Invision Power Board.

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Fri, 09 Apr 2010 06:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 09 Apr 2010 06:42:07 GMT) Full text and rfc822 format available.

Message #54 received at 577009@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Olaf van der Spek <olaf@xwis.net>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Fri, 9 Apr 2010 08:37:41 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 08, 2010 at 11:35:42PM +0200, Olaf van der Spek wrote:
> >  * are you using the cgi's directly or do you have some kind of fcgi wrapper?
> 
> I'm using Lighttpd.
> 
> >  * is it a slow or sudden increase?
> 
> Slow
> 
> >  * is there a sample code/script/page that can trigger this?
> 
> I don't know, there are several sites hosted, one Invision Power
> Board. I've no idea what triggers the leak.
> 
> >  * can you try installing php5-dbg and run the php-cgi wrapped by valgrind?
> 
> What should I look for?

this definitely sounds like leaky behavior, so without knowing more about
lighthttpd/fastcgi setups, i can only give a general suggestion:

* reduce the number of threads/children to one.
* set the executable path for the "cgi" script to a wrapper script that
  calls valgrind (preserving cmdline arguments to the underlying cgi).
* look for leak errors in the valgrind output.
* additionally, if there's some kind of "max requests" per child before
  it's replaced with a new child, set it to something small and then send
  that many requests so you can get teh end-of-process report from valgrind.

the wrapper script would look something like

valgrind --leak-check=full <cgi> "$@"

it's possible (i'd say, expected even) that there will be other errors in
the output as well, so you'll have to sift through them and look for errors
for memory that is definitely lost.  but i'd try upgrading first as suggested
by rafael/ondrej, as it might solve your problem for free.


	sean
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Sat, 10 Apr 2010 12:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 10 Apr 2010 12:33:16 GMT) Full text and rfc822 format available.

Message #59 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: sean finney <seanius@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Sat, 10 Apr 2010 14:26:01 +0200
On 9-4-2010 8:37, sean finney wrote:
>> What should I look for?
>
> this definitely sounds like leaky behavior, so without knowing more about
> lighthttpd/fastcgi setups, i can only give a general suggestion:
>
> * reduce the number of threads/children to one.

It's a 'production' server, that can't be done.

> * set the executable path for the "cgi" script to a wrapper script that
>    calls valgrind (preserving cmdline arguments to the underlying cgi).
> * look for leak errors in the valgrind output.
> * additionally, if there's some kind of "max requests" per child before
>    it's replaced with a new child, set it to something small and then 
send
>    that many requests so you can get teh end-of-process report from 
valgrind.
>
> the wrapper script would look something like
>
> valgrind --leak-check=full<cgi>  "$@"

I'll see if I can use valgrind.

> it's possible (i'd say, expected even) that there will be other errors in
> the output as well, so you'll have to sift through them and look for 
errors
> for memory that is definitely lost.  but i'd try upgrading first as 
suggested
> by rafael/ondrej, as it might solve your problem for free.

Unfortunately not:
top:
 1969 www-data  20   0  351m 223m  17m S    0  2.8  31:01.91 php-cgi 



 1978 www-data  20   0  345m 217m  17m S    0  2.7  27:43.35 php-cgi 



 1970 www-data  20   0  334m 206m  17m S    0  2.6  21:55.99 php-cgi 



 2034 www-data  20   0  328m 200m  17m S    0  2.5  20:57.41 php-cgi

$ dpkg -l|grep php
ii  php5-cgi                            5.3.2-1 
server-side, HTML-embedded scripting language (CGI binary)
ii  php5-cli                            5.3.2-1 
command-line interpreter for the php5 scripting language
ii  php5-common                         5.3.2-1                  Common 
files for packages built from the php5 source
ii  php5-gd                             5.3.2-1                  GD 
module for php5
ii  php5-mcrypt                         5.3.2-1                  MCrypt 
module for php5
ii  php5-mysql                          5.3.2-1                  MySQL 
module for php5
ii  php5-suhosin                        0.9.29-1+b1 
advanced protection module for php5
ii  php5-xcache                         1.3.0-6                  Fast, 
stable PHP opcode cacher
ii  phpmyadmin                          4:3.3.1-1                MySQL 
web administration tool

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Fri, 16 Apr 2010 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 16 Apr 2010 12:54:03 GMT) Full text and rfc822 format available.

Message #64 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: 577009@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Fri, 16 Apr 2010 14:51:47 +0200
Without php5-xcache:
14414 www-data  20   0  144m  21m 4184 S    9  0.3  12:20.07 php-cgi 



14412 www-data  20   0  141m  18m 4364 S    7  0.2  10:36.11 php-cgi 



14458 www-data  20   0  141m  18m 4424 S   10  0.2  13:37.94 php-cgi 



14444 www-data  20   0  139m  15m 4188 S    6  0.2  12:18.15 php-cgi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#577009; Package php5-cgi. (Sat, 17 Apr 2010 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 17 Apr 2010 07:27:03 GMT) Full text and rfc822 format available.

Message #69 received at 577009@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [php-maint] Bug#577009: Bug#577009: php5-cgi: php-cgi uses 500+ mb memory
Date: Sat, 17 Apr 2010 09:22:56 +0200
[Message part 1 (text/plain, inline)]
reassign 577009 php5-xcache
retitle 577009 php5-cgi + xcache == memory leak
found 577009 1.3.0-6
thanks

On Fri, Apr 16, 2010 at 02:51:47PM +0200, Olaf van der Spek wrote:
> Without php5-xcache:
> 14414 www-data  20   0  144m  21m 4184 S    9  0.3  12:20.07 php-cgi
> 14412 www-data  20   0  141m  18m 4364 S    7  0.2  10:36.11 php-cgi
> 14458 www-data  20   0  141m  18m 4424 S   10  0.2  13:37.94 php-cgi
> 14444 www-data  20   0  139m  15m 4188 S    6  0.2  12:18.15 php-cgi

yes, it seems that php5-xcache is indeed the culprit, but this info
doesn't help a great deal.  an example closer to the information that
we *actually* need to get:

rangda[/home/sean] cat << EOF > foo.php                                      :)
heredoc> <?php echo "hello\n"; ?>
heredoc> EOF

rangda[/home/sean] valgrind --leak-check=full php5-cgi foo.php               :)
==19928== Memcheck, a memory error detector
==19928== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==19928== Using Valgrind-3.5.0-Debian and LibVEX; rerun with -h for copyright info
==19928== Command: php5-cgi foo.php
==19928== 
X-Powered-By: PHP/5.3.2-1
Content-type: text/html

hello
==19928== 
==19928== HEAP SUMMARY:
==19928==     in use at exit: 73,564 bytes in 2,972 blocks
==19928==   total heap usage: 36,747 allocs, 33,775 frees, 5,261,639 bytes allocated
==19928== 
==19928== 21,468 bytes in 1,376 blocks are definitely lost in loss record 76 of 76
==19928==    at 0x4C221A7: malloc (vg_replace_malloc.c:195)
==19928==    by 0x65C6D6: zend_strndup (in /usr/bin/php5-cgi)
==19928==    by 0xE26CA78: ???
==19928==    by 0x688E85: zend_hash_copy (in /usr/bin/php5-cgi)
==19928==    by 0xE26CD74: ???
==19928==    by 0xE268E89: ???
==19928==    by 0xE26E053: ???
==19928==    by 0x67A349: zend_execute_scripts (in /usr/bin/php5-cgi)
==19928==    by 0x625FF7: php_execute_script (in /usr/bin/php5-cgi)
==19928==    by 0x708063: main (in /usr/bin/php5-cgi)
==19928== 
==19928== LEAK SUMMARY:
==19928==    definitely lost: 21,468 bytes in 1,376 blocks
==19928==    indirectly lost: 0 bytes in 0 blocks
==19928==      possibly lost: 0 bytes in 0 blocks
==19928==    still reachable: 52,096 bytes in 1,596 blocks
==19928==         suppressed: 0 bytes in 0 blocks
==19928== Reachable blocks (those to which a pointer was found) are not shown.
==19928== To see them, rerun with: --leak-check=full --show-reachable=yes
==19928== 
==19928== For counts of detected and suppressed errors, rerun with: -v
==19928== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 28 from 10)

rangda[/home/sean] sudo apt-get --purge remove php5-xcache                   :)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  php5-xcache*
0 upgraded, 0 newly installed, 1 to remove and 87 not upgraded.
After this operation, 393kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 293915 files and directories currently installed.)
Removing php5-xcache ...
Purging configuration files for php5-xcache ...
Processing triggers for libapache2-mod-php5 ...
Reloading web server config: apache2.

rangda[/home/sean] valgrind --leak-check=full php5-cgi foo.php               :)
==20038== Memcheck, a memory error detector
==20038== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==20038== Using Valgrind-3.5.0-Debian and LibVEX; rerun with -h for copyright info
==20038== Command: php5-cgi foo.php
==20038== 
X-Powered-By: PHP/5.3.2-1
Content-type: text/html

hello
==20038== 
==20038== HEAP SUMMARY:
==20038==     in use at exit: 52,112 bytes in 1,596 blocks
==20038==   total heap usage: 19,006 allocs, 17,410 frees, 3,656,847 bytes allocated
==20038== 
==20038== LEAK SUMMARY:
==20038==    definitely lost: 0 bytes in 0 blocks
==20038==    indirectly lost: 0 bytes in 0 blocks
==20038==      possibly lost: 0 bytes in 0 blocks
==20038==    still reachable: 52,112 bytes in 1,596 blocks
==20038==         suppressed: 0 bytes in 0 blocks
==20038== Reachable blocks (those to which a pointer was found) are not shown.
==20038== To see them, rerun with: --leak-check=full --show-reachable=yes
==20038== 
==20038== For counts of detected and suppressed errors, rerun with: -v
==20038== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 28 from 10)
 
i imagine it shouldn't be too difficult to figure out how to get a command
line invokation of php5-cgi to serve up one request for your site/app.
so, please do that and report if there are leaks in any other places.
bonus points if you can figure out how to get the debug symbols from
php5-xcache installed--i couldn't, at least in a way that got the ???
functions (which are from xcache's .so) to show up correctly in valgrind.

	sean
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'php5-cgi' to 'php5-xcache'. Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 07:27:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions php5/5.3.1-5. Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 07:27:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'php5-cgi + xcache == memory leak' from 'php5-cgi: php-cgi uses 500+ mb memory' Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 07:27:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xcache/1.3.0-6. Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 07:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Thu, 22 Apr 2010 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <michal@cihar.com>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Thu, 22 Apr 2010 12:03:03 GMT) Full text and rfc822 format available.

Message #82 received at 577009@bugs.debian.org (full text, mbox):

From: Michal Čihař <michal@cihar.com>
To: 577009@bugs.debian.org, 577009-submitter@bugs.debian.org
Subject: Re: php5-cgi + xcache == memory leak
Date: Thu, 22 Apr 2010 13:36:01 +0200
[Message part 1 (text/plain, inline)]
Hi

I somehow missed that this bug got reassigned to xcache. Can you please
share your xcache configuration file?

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Message sent on to Olaf van der Spek <olaf@xwis.net>:
Bug#577009. (Thu, 22 Apr 2010 12:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Thu, 22 Apr 2010 16:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Thu, 22 Apr 2010 16:03:10 GMT) Full text and rfc822 format available.

Message #90 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Michal Čihař <michal@cihar.com>
Cc: 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Thu, 22 Apr 2010 18:01:31 +0200
On 22-4-2010 13:36, Michal Čihař wrote:
> Hi
>
> I somehow missed that this bug got reassigned to xcache. Can you please
> share your xcache configuration file?

It's the default, no changes at all.

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#577009; Package php5-xcache. (Thu, 06 May 2010 07:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Thu, 06 May 2010 07:27:07 GMT) Full text and rfc822 format available.

Message #95 received at 577009@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Thu, 6 May 2010 09:23:20 +0200
[Message part 1 (text/plain, inline)]
Hi

Dne Thu, 22 Apr 2010 18:01:31 +0200
Olaf van der Spek <olaf@xwis.net> napsal(a):

> On 22-4-2010 13:36, Michal Čihař wrote:
> > Hi
> >
> > I somehow missed that this bug got reassigned to xcache. Can you please
> > share your xcache configuration file?
> 
> It's the default, no changes at all.

It's strange, because I fail to see such huge leak on any setup I have.

What other PHP modules to do you have loaded?

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Thu, 06 May 2010 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Thu, 06 May 2010 10:42:03 GMT) Full text and rfc822 format available.

Message #100 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Michal Čihař <nijel@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Thu, 06 May 2010 12:40:15 +0200
On 6-5-2010 9:23, Michal Čihař wrote:
> Hi
>
> Dne Thu, 22 Apr 2010 18:01:31 +0200
> Olaf van der Spek<olaf@xwis.net>  napsal(a):
>
>> On 22-4-2010 13:36, Michal Čihař wrote:
>>> Hi
>>>
>>> I somehow missed that this bug got reassigned to xcache. Can you please
>>> share your xcache configuration file?
>>
>> It's the default, no changes at all.
>
> It's strange, because I fail to see such huge leak on any setup I have.
>
> What other PHP modules to do you have loaded?

$ ls /etc/php5/cgi/conf.d
gd.ini  mcrypt.ini  mysqli.ini  mysql.ini  pdo.ini  pdo_mysql.ini 
suhosin.ini  xcache.ini

27635 www-data  20   0 1270m 1.1g  14m S    0 14.2  30:53.77 php-cgi 



28202 www-data  20   0  886m 755m  14m S    0  9.4  27:53.30 php-cgi 



28252 www-data  20   0  882m 751m  14m S   11  9.4  21:07.07 php-cgi 



29893 mysql     20   0  826m 568m 4120 S    7  7.1   4500:55 mysqld 



28877 www-data  20   0  661m 529m  14m S    0  6.6  13:51.29 php-cgi




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#577009; Package php5-xcache. (Mon, 14 Jun 2010 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. (Mon, 14 Jun 2010 13:51:03 GMT) Full text and rfc822 format available.

Message #105 received at 577009@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Mon, 14 Jun 2010 15:48:57 +0200
[Message part 1 (text/plain, inline)]
Hi

Dne Thu, 06 May 2010 12:40:15 +0200
Olaf van der Spek <olaf@xwis.net> napsal(a):

> On 6-5-2010 9:23, Michal Čihař wrote:
> > Hi
> >
> > Dne Thu, 22 Apr 2010 18:01:31 +0200
> > Olaf van der Spek<olaf@xwis.net>  napsal(a):
> >
> >> On 22-4-2010 13:36, Michal Čihař wrote:
> >>> Hi
> >>>
> >>> I somehow missed that this bug got reassigned to xcache. Can you please
> >>> share your xcache configuration file?
> >>
> >> It's the default, no changes at all.
> >
> > It's strange, because I fail to see such huge leak on any setup I have.
> >
> > What other PHP modules to do you have loaded?
> 
> $ ls /etc/php5/cgi/conf.d
> gd.ini  mcrypt.ini  mysqli.ini  mysql.ini  pdo.ini  pdo_mysql.ini 
> suhosin.ini  xcache.ini

This does not sound like something special. I tried to to debug the
minimal case a bit more, but without any luck. And I'm not really sure
if there is real leak in that. I'd really welcome somebody with more
experiences with debugging PHP extensions to help me here.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) help. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Mon, 14 Jun 2010 13:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Mon, 14 Jun 2010 14:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Mon, 14 Jun 2010 14:03:09 GMT) Full text and rfc822 format available.

Message #112 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Michal Čihař <nijel@debian.org>
Cc: 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Mon, 14 Jun 2010 15:59:43 +0200
On 14-6-2010 15:48, Michal Čihař wrote:
>>> What other PHP modules to do you have loaded?
>>
>> $ ls /etc/php5/cgi/conf.d
>> gd.ini  mcrypt.ini  mysqli.ini  mysql.ini  pdo.ini  pdo_mysql.ini
>> suhosin.ini  xcache.ini
>
> This does not sound like something special. I tried to to debug the
> minimal case a bit more, but without any luck. And I'm not really sure
> if there is real leak in that. I'd really welcome somebody with more
> experiences with debugging PHP extensions to help me here.

1.8 g > 128 m

Why are you not sure there's a real leak?

19826 www-data  20   0 1980m 1.8g  15m S    0 23.0  29:26.46 php-cgi 



19843 www-data  20   0 1966m 1.8g  15m S    0 22.8  28:21.53 php-cgi 



 1001 www-data  20   0  521m 392m  15m S    0  4.9   6:56.85 php-cgi

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Mon, 14 Jun 2010 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <michal@cihar.com>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Mon, 14 Jun 2010 14:09:03 GMT) Full text and rfc822 format available.

Message #117 received at 577009@bugs.debian.org (full text, mbox):

From: Michal Čihař <michal@cihar.com>
To: Olaf van der Spek <olaf@xwis.net>, 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Mon, 14 Jun 2010 16:05:37 +0200
[Message part 1 (text/plain, inline)]
Hi

Dne Mon, 14 Jun 2010 16:03:28 +0200
Michal Čihař <nijel@debian.org> napsal(a):

> Dne Mon, 14 Jun 2010 15:59:43 +0200
> Olaf van der Spek <olaf@xwis.net> napsal(a):
> 
> > On 14-6-2010 15:48, Michal Čihař wrote:
> > >>> What other PHP modules to do you have loaded?
> > >>
> > >> $ ls /etc/php5/cgi/conf.d
> > >> gd.ini  mcrypt.ini  mysqli.ini  mysql.ini  pdo.ini  pdo_mysql.ini
> > >> suhosin.ini  xcache.ini
> > >
> > > This does not sound like something special. I tried to to debug the
> > > minimal case a bit more, but without any luck. And I'm not really sure
> > > if there is real leak in that. I'd really welcome somebody with more
> > > experiences with debugging PHP extensions to help me here.
> > 
> > 1.8 g > 128 m
> > 
> > Why are you not sure there's a real leak?
> 
> Because I can not reproduce this. All I can reproduce is the small
> testcase, which really does not prove anything.

Sorry, maybe I was just not clear enough: There is definitely leak in
your original setup, which seems to be caused either directly by xcache
or by it's interactions with other modules.

But I failed to see this in some minimal test case and I have no idea
how to reproduce your problem as the leak does not happen anywhere
where I tested it.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Mon, 14 Jun 2010 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olaf@xwis.net>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Mon, 14 Jun 2010 15:24:03 GMT) Full text and rfc822 format available.

Message #122 received at 577009@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: Michal Čihař <michal@cihar.com>
Cc: 577009@bugs.debian.org
Subject: Re: Bug#577009: php5-cgi + xcache == memory leak
Date: Mon, 14 Jun 2010 17:20:55 +0200
On 14-6-2010 16:05, Michal Čihař wrote:
>> Because I can not reproduce this. All I can reproduce is the small
>> testcase, which really does not prove anything.
>
> Sorry, maybe I was just not clear enough: There is definitely leak in
> your original setup, which seems to be caused either directly by xcache
> or by it's interactions with other modules.
>
> But I failed to see this in some minimal test case and I have no idea
> how to reproduce your problem as the leak does not happen anywhere
> where I tested it.

I wish I had a simple test case but I'm afraid I don't.

Olaf






Added tag(s) upstream. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Tue, 29 Jun 2010 09:45:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://xcache.lighttpd.net/ticket/248'. Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Tue, 29 Jun 2010 09:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#577009; Package php5-xcache. (Tue, 29 Jun 2010 10:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to nijel@debian.org:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. (Tue, 29 Jun 2010 10:15:06 GMT) Full text and rfc822 format available.

Message #131 received at 577009@bugs.debian.org (full text, mbox):

From: nijel@debian.org
To: 577009-submitter@bugs.debian.org, 577009@bugs.debian.org, control@bugs.debian.org
Subject: Fix for Bug#577009 commited to version control
Date: Tue, 29 Jun 2010 12:10:58 +0200
tags 577009 pending
thanks
Hi,

The following change has been committed for this bug, and so the
fix will be in the next upload.
===================================================================

Changeset [93] by nijel, 2010-06-29 12:10:54 +0200 (Tue, 29 Jun 2010)

Disable constant caching to prevent memory leak (Closes: #577009).

U   trunk/debian/changelog
U   trunk/debian/rules

http://viewsvn.cihar.com/debian-xcache?view=rev&revision=93




Added tag(s) pending. Request was from nijel@debian.org to control@bugs.debian.org. (Tue, 29 Jun 2010 10:15:09 GMT) Full text and rfc822 format available.

Message sent on to Olaf van der Spek <olaf@xwis.net>:
Bug#577009. (Tue, 29 Jun 2010 10:15:12 GMT) Full text and rfc822 format available.

Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. (Tue, 29 Jun 2010 10:34:32 GMT) Full text and rfc822 format available.

Notification sent to Olaf van der Spek <olaf@xwis.net>:
Bug acknowledged by developer. (Tue, 29 Jun 2010 10:34:32 GMT) Full text and rfc822 format available.

Message #141 received at 577009-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 577009-close@bugs.debian.org
Subject: Bug#577009: fixed in xcache 1.3.0-7
Date: Tue, 29 Jun 2010 10:32:51 +0000
Source: xcache
Source-Version: 1.3.0-7

We believe that the bug you reported is fixed in the latest version of
xcache, which is due to be installed in the Debian FTP archive:

php5-xcache_1.3.0-7_amd64.deb
  to main/x/xcache/php5-xcache_1.3.0-7_amd64.deb
xcache_1.3.0-7.debian.tar.gz
  to main/x/xcache/xcache_1.3.0-7.debian.tar.gz
xcache_1.3.0-7.dsc
  to main/x/xcache/xcache_1.3.0-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated xcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 Jun 2010 12:11:23 +0200
Source: xcache
Binary: php5-xcache
Architecture: source amd64
Version: 1.3.0-7
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 php5-xcache - Fast, stable PHP opcode cacher
Closes: 577009
Changes: 
 xcache (1.3.0-7) unstable; urgency=low
 .
   * Disable constant caching to prevent memory leak (Closes: #577009).
   * Bump standards to 3.9.0.
Checksums-Sha1: 
 275bbb0621c68e9a694b66ac115828978399e9c1 1126 xcache_1.3.0-7.dsc
 8405df45477bde6a9efb0a04fd7589db96012e0b 5966 xcache_1.3.0-7.debian.tar.gz
 d5b31882ceb813795e1148f19ec1896009090a3d 92726 php5-xcache_1.3.0-7_amd64.deb
Checksums-Sha256: 
 f812d6e15a8f1dc4c729714a449a21a418734d263a8de80f75b48305e2b34ebf 1126 xcache_1.3.0-7.dsc
 3053b7d3fd901fc412997be6be9b05ee1b3afe8fb21ab4271b098a28c0e28f1a 5966 xcache_1.3.0-7.debian.tar.gz
 44baeb18a7844b91dbd9100b262c6cec9c6db9dd4366cc8e85e3801d913c28e6 92726 php5-xcache_1.3.0-7_amd64.deb
Files: 
 ebc77052c5921a0183453d76551c3f29 1126 php optional xcache_1.3.0-7.dsc
 86d4dcdd736f919598f613f1d5cf4ceb 5966 php optional xcache_1.3.0-7.debian.tar.gz
 da67b257ee0424956169062ab12812c1 92726 php optional php5-xcache_1.3.0-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwpx1QACgkQ3DVS6DbnVgRi4ACfbmzbbQazje0jCDkYXYzD0cam
X28AoJIsPaCL8Yp4Cc3Rfoy9/Fvd+AfC
=lNdV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Aug 2010 07:31:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:49:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.